# behavioral_signals_swagger_client
Oliver API in the cloud service

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 4.2.1
- Package version: 4.2.1
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen
For more information, please visit [https://api.behavioralsignals.com](https://api.behavioralsignals.com)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import behavioral_signals_swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import behavioral_signals_swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import behavioral_signals_swagger_client
from behavioral_signals_swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: token
configuration = behavioral_signals_swagger_client.Configuration()
configuration.api_key['X-Auth-Token'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Auth-Token'] = 'Bearer'

# create an instance of the API class
api_instance = behavioral_signals_swagger_client.APIStatusApi(behavioral_signals_swagger_client.ApiClient(configuration))

try:
    api_response = api_instance.service_status()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling APIStatusApi->service_status: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api.behavioralsignals.com/*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*APIStatusApi* | [**service_status**](docs/APIStatusApi.md#service_status) | **GET** /status | 
*AdministrationApi* | [**client_auth**](docs/AdministrationApi.md#client_auth) | **GET** /auth | 
*AdministrationApi* | [**create_client**](docs/AdministrationApi.md#create_client) | **POST** /clients | 
*AdministrationApi* | [**delete_client**](docs/AdministrationApi.md#delete_client) | **DELETE** /clients/{cid} | 
*AdministrationApi* | [**info_client**](docs/AdministrationApi.md#info_client) | **GET** /clients/{cid} | 
*AdministrationApi* | [**modify_token**](docs/AdministrationApi.md#modify_token) | **PUT** /tokens | 
*BehavioralProfilingApi* | [**add_customer_to_portfolio**](docs/BehavioralProfilingApi.md#add_customer_to_portfolio) | **POST** /clients/{cid}/portfolios/{portfolioId}/customers | 
*BehavioralProfilingApi* | [**add_portfolio_to_agent**](docs/BehavioralProfilingApi.md#add_portfolio_to_agent) | **POST** /clients/{cid}/agents/{agentId}/portfolios | 
*BehavioralProfilingApi* | [**create_portfolio**](docs/BehavioralProfilingApi.md#create_portfolio) | **POST** /clients/{cid}/portfolios | 
*BehavioralProfilingApi* | [**get_agent**](docs/BehavioralProfilingApi.md#get_agent) | **GET** /clients/{cid}/agents/{agentId} | 
*BehavioralProfilingApi* | [**get_all_agents**](docs/BehavioralProfilingApi.md#get_all_agents) | **GET** /clients/{cid}/agents | 
*BehavioralProfilingApi* | [**get_all_behavioral_skills**](docs/BehavioralProfilingApi.md#get_all_behavioral_skills) | **GET** /clients/{cid}/behavioralSkills | 
*BehavioralProfilingApi* | [**get_all_customers**](docs/BehavioralProfilingApi.md#get_all_customers) | **GET** /clients/{cid}/customers | 
*BehavioralProfilingApi* | [**get_all_portfolios**](docs/BehavioralProfilingApi.md#get_all_portfolios) | **GET** /clients/{cid}/portfolios | 
*BehavioralProfilingApi* | [**get_behavioral_skill**](docs/BehavioralProfilingApi.md#get_behavioral_skill) | **GET** /clients/{cid}/behavioralSkills/{behavioralSkillId} | 
*BehavioralProfilingApi* | [**get_customer**](docs/BehavioralProfilingApi.md#get_customer) | **GET** /clients/{cid}/customers/{customerId} | 
*BehavioralProfilingApi* | [**get_portfolio**](docs/BehavioralProfilingApi.md#get_portfolio) | **GET** /clients/{cid}/portfolios/{portfolioId} | 
*BehavioralProfilingApi* | [**modify_agent_portfolio_list**](docs/BehavioralProfilingApi.md#modify_agent_portfolio_list) | **PATCH** /clients/{cid}/agents/{agentId}/portfolios | 
*BehavioralProfilingApi* | [**modify_portfolio_agent_list**](docs/BehavioralProfilingApi.md#modify_portfolio_agent_list) | **PATCH** /clients/{cid}/portfolios/{portfolioId}/agents | 
*BehavioralProfilingApi* | [**remove_portfolio_from_agent**](docs/BehavioralProfilingApi.md#remove_portfolio_from_agent) | **DELETE** /clients/{cid}/agents/{agentId}/portfolios/{portfolioId} | 
*BehavioralProfilingApi* | [**update_agent_portfolio_list**](docs/BehavioralProfilingApi.md#update_agent_portfolio_list) | **PUT** /clients/{cid}/agents/{agentId}/portfolios | 
*BehavioralProfilingApi* | [**update_portfolio_agent_list**](docs/BehavioralProfilingApi.md#update_portfolio_agent_list) | **PUT** /clients/{cid}/portfolios/{portfolioId}/agents | 
*CallProcessingApi* | [**get_all_processes**](docs/CallProcessingApi.md#get_all_processes) | **GET** /clients/{cid}/processes | 
*CallProcessingApi* | [**get_process_info**](docs/CallProcessingApi.md#get_process_info) | **GET** /clients/{cid}/processes/{pid} | 
*CallProcessingApi* | [**get_process_results**](docs/CallProcessingApi.md#get_process_results) | **GET** /clients/{cid}/processes/{pid}/result | 
*CallProcessingApi* | [**get_process_results_asr**](docs/CallProcessingApi.md#get_process_results_asr) | **GET** /clients/{cid}/processes/{pid}/resultasr | 
*CallProcessingApi* | [**get_process_results_diarization**](docs/CallProcessingApi.md#get_process_results_diarization) | **GET** /clients/{cid}/processes/{pid}/resultdiarization | 
*CallProcessingApi* | [**get_process_results_features**](docs/CallProcessingApi.md#get_process_results_features) | **GET** /clients/{cid}/processes/{pid}/resultfeatures | 
*CallProcessingApi* | [**get_process_results_frames**](docs/CallProcessingApi.md#get_process_results_frames) | **GET** /clients/{cid}/processes/{pid}/resultframes | 
*CallProcessingApi* | [**get_process_stats**](docs/CallProcessingApi.md#get_process_stats) | **GET** /clients/{cid}/processes/{pid}/stats | 
*CallProcessingApi* | [**post_feedback**](docs/CallProcessingApi.md#post_feedback) | **POST** /clients/{cid}/processes/feedback | 
*CallProcessingApi* | [**send_process_audio**](docs/CallProcessingApi.md#send_process_audio) | **POST** /clients/{cid}/processes/audio | 
*CallProcessingApi* | [**send_process_tcp**](docs/CallProcessingApi.md#send_process_tcp) | **POST** /clients/{cid}/processes/stream | 
*CallProcessingApi* | [**send_process_url**](docs/CallProcessingApi.md#send_process_url) | **POST** /clients/{cid}/processes/url | 
*CallProcessingApi* | [**send_process_video**](docs/CallProcessingApi.md#send_process_video) | **POST** /clients/{cid}/processes/video | 
*CallProcessingApi* | [**update_processes**](docs/CallProcessingApi.md#update_processes) | **PUT** /clients/{cid}/processes | 

## Documentation For Models

 - [Agent](docs/Agent.md)
 - [AgentBehavioralSkill](docs/AgentBehavioralSkill.md)
 - [ArrayOfAgentBehavioralSkills](docs/ArrayOfAgentBehavioralSkills.md)
 - [ArrayOfAgents](docs/ArrayOfAgents.md)
 - [ArrayOfBehavioralSkillAgents](docs/ArrayOfBehavioralSkillAgents.md)
 - [ArrayOfBehavioralSkills](docs/ArrayOfBehavioralSkills.md)
 - [ArrayOfCustomers](docs/ArrayOfCustomers.md)
 - [ArrayOfIdPatches](docs/ArrayOfIdPatches.md)
 - [ArrayOfPortfolioIds](docs/ArrayOfPortfolioIds.md)
 - [ArrayOfPortfolioSpeakers](docs/ArrayOfPortfolioSpeakers.md)
 - [ArrayOfProcesses](docs/ArrayOfProcesses.md)
 - [Authorized](docs/Authorized.md)
 - [BehavioralSkill](docs/BehavioralSkill.md)
 - [BehavioralSkillAgent](docs/BehavioralSkillAgent.md)
 - [BehavioralSkillId](docs/BehavioralSkillId.md)
 - [Body](docs/Body.md)
 - [CallflowEvents](docs/CallflowEvents.md)
 - [CallflowEventsInner](docs/CallflowEventsInner.md)
 - [Client](docs/Client.md)
 - [Customer](docs/Customer.md)
 - [ErrorModel](docs/ErrorModel.md)
 - [ErrorResponseModel](docs/ErrorResponseModel.md)
 - [GenericResponse](docs/GenericResponse.md)
 - [IdPatch](docs/IdPatch.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InputFeedback](docs/InputFeedback.md)
 - [PaginationResponse](docs/PaginationResponse.md)
 - [Portfolio](docs/Portfolio.md)
 - [PortfolioId](docs/PortfolioId.md)
 - [PortfolioSpeaker](docs/PortfolioSpeaker.md)
 - [Process](docs/Process.md)
 - [ProcessStats](docs/ProcessStats.md)
 - [ProcessUpdatedStatus](docs/ProcessUpdatedStatus.md)
 - [ProcessesUpdate](docs/ProcessesUpdate.md)
 - [ProcessesUpdatedStatus](docs/ProcessesUpdatedStatus.md)
 - [RequestProcessBody](docs/RequestProcessBody.md)
 - [RequestTask](docs/RequestTask.md)
 - [RequestTaskOptions](docs/RequestTaskOptions.md)
 - [RequestTaskOptionsData](docs/RequestTaskOptionsData.md)
 - [RequestTasks](docs/RequestTasks.md)
 - [ResponseFeedback](docs/ResponseFeedback.md)
 - [ResultJSON](docs/ResultJSON.md)
 - [ResultJSONASR](docs/ResultJSONASR.md)
 - [ResultJSONASRDetections](docs/ResultJSONASRDetections.md)
 - [ResultJSONASROccurrences](docs/ResultJSONASROccurrences.md)
 - [ResultJSONASRPredictions](docs/ResultJSONASRPredictions.md)
 - [ResultJSONASRWords](docs/ResultJSONASRWords.md)
 - [ResultJSONBasic](docs/ResultJSONBasic.md)
 - [ResultJSONBasicAge](docs/ResultJSONBasicAge.md)
 - [ResultJSONBasicGender](docs/ResultJSONBasicGender.md)
 - [ResultJSONBasicId](docs/ResultJSONBasicId.md)
 - [ResultJSONBasicLang](docs/ResultJSONBasicLang.md)
 - [ResultJSONBasicLangEnglish](docs/ResultJSONBasicLangEnglish.md)
 - [ResultJSONBasicLangSpanish](docs/ResultJSONBasicLangSpanish.md)
 - [ResultJSONBasicUtterances](docs/ResultJSONBasicUtterances.md)
 - [ResultJSONBasicVad](docs/ResultJSONBasicVad.md)
 - [ResultJSONCore](docs/ResultJSONCore.md)
 - [ResultJSONCoreBehaviors](docs/ResultJSONCoreBehaviors.md)
 - [ResultJSONCoreDiarization](docs/ResultJSONCoreDiarization.md)
 - [ResultJSONCoreEmotions](docs/ResultJSONCoreEmotions.md)
 - [ResultJSONCoreEmotionsAnger](docs/ResultJSONCoreEmotionsAnger.md)
 - [ResultJSONCoreEmotionsFrustration](docs/ResultJSONCoreEmotionsFrustration.md)
 - [ResultJSONCoreEmotionsHappy](docs/ResultJSONCoreEmotionsHappy.md)
 - [ResultJSONCoreEmotionsSad](docs/ResultJSONCoreEmotionsSad.md)
 - [ResultJSONCoreEmpathy](docs/ResultJSONCoreEmpathy.md)
 - [ResultJSONCoreEngagement](docs/ResultJSONCoreEngagement.md)
 - [ResultJSONCorePoliteness](docs/ResultJSONCorePoliteness.md)
 - [ResultJSONCorePositivity](docs/ResultJSONCorePositivity.md)
 - [ResultJSONCoreSoundquality](docs/ResultJSONCoreSoundquality.md)
 - [ResultJSONCoreStrength](docs/ResultJSONCoreStrength.md)
 - [ResultJSONCoreValue](docs/ResultJSONCoreValue.md)
 - [ResultJSONCoreValue1](docs/ResultJSONCoreValue1.md)
 - [ResultJSONDiarization](docs/ResultJSONDiarization.md)
 - [ResultJSONDiarizationDiarization](docs/ResultJSONDiarizationDiarization.md)
 - [ResultJSONEvents](docs/ResultJSONEvents.md)
 - [ResultJSONEventsBehavioral](docs/ResultJSONEventsBehavioral.md)
 - [ResultJSONEventsCallflow](docs/ResultJSONEventsCallflow.md)
 - [ResultJSONFeatures](docs/ResultJSONFeatures.md)
 - [ResultJSONFeaturesFeatures](docs/ResultJSONFeaturesFeatures.md)
 - [ResultJSONFrames](docs/ResultJSONFrames.md)
 - [ResultJSONFramesActivation](docs/ResultJSONFramesActivation.md)
 - [ResultJSONFramesAge](docs/ResultJSONFramesAge.md)
 - [ResultJSONFramesBeep](docs/ResultJSONFramesBeep.md)
 - [ResultJSONFramesEmotion](docs/ResultJSONFramesEmotion.md)
 - [ResultJSONFramesEngagement](docs/ResultJSONFramesEngagement.md)
 - [ResultJSONFramesF0](docs/ResultJSONFramesF0.md)
 - [ResultJSONFramesFrames](docs/ResultJSONFramesFrames.md)
 - [ResultJSONFramesGender](docs/ResultJSONFramesGender.md)
 - [ResultJSONFramesIntensity](docs/ResultJSONFramesIntensity.md)
 - [ResultJSONFramesLanguage](docs/ResultJSONFramesLanguage.md)
 - [ResultJSONFramesPoliteness](docs/ResultJSONFramesPoliteness.md)
 - [ResultJSONFramesPositivity](docs/ResultJSONFramesPositivity.md)
 - [ResultJSONFramesRing](docs/ResultJSONFramesRing.md)
 - [ResultJSONFramesSnr](docs/ResultJSONFramesSnr.md)
 - [ResultJSONFramesSpeakers](docs/ResultJSONFramesSpeakers.md)
 - [ResultJSONFramesSpeakingRate](docs/ResultJSONFramesSpeakingRate.md)
 - [ResultJSONFramesStrength](docs/ResultJSONFramesStrength.md)
 - [ResultJSONFramesSuccess](docs/ResultJSONFramesSuccess.md)
 - [ResultJSONFramesToneVariety](docs/ResultJSONFramesToneVariety.md)
 - [ResultJSONFramesVad](docs/ResultJSONFramesVad.md)
 - [ResultJSONFramesValence](docs/ResultJSONFramesValence.md)
 - [ResultJSONKpi](docs/ResultJSONKpi.md)
 - [ResultJSONKpiCompliance](docs/ResultJSONKpiCompliance.md)
 - [ResultJSONKpiTrends](docs/ResultJSONKpiTrends.md)
 - [Speaker](docs/Speaker.md)
 - [SpeakerBehavioralEvents](docs/SpeakerBehavioralEvents.md)
 - [SpeakerBehavioralEventsEmotion](docs/SpeakerBehavioralEventsEmotion.md)
 - [SpeakerBehavioralEventsEngagement](docs/SpeakerBehavioralEventsEngagement.md)
 - [SpeakerBehavioralEventsPoliteness](docs/SpeakerBehavioralEventsPoliteness.md)
 - [SpeakerBehavioralEventsPositivity](docs/SpeakerBehavioralEventsPositivity.md)
 - [SpeakerBehavioralEventsStrength](docs/SpeakerBehavioralEventsStrength.md)
 - [SpeakerDiarizationRanges](docs/SpeakerDiarizationRanges.md)
 - [SpeakerDiarizationRangesInner](docs/SpeakerDiarizationRangesInner.md)
 - [SpeakerId](docs/SpeakerId.md)
 - [Status](docs/Status.md)
 - [Token](docs/Token.md)

## Documentation For Authorization


## token

- **Type**: API key
- **API key parameter name**: X-Auth-Token
- **Location**: HTTP header


## Author

api@behavioralsignals.com
